DropSystem = {}

--Configuração sistema de drop
CONFIG_DROP_SWITCH = 0

--[[
	DROP_MOEDA_TABLE = Tabela onde  é inserido a moedaColumn
	DROP_MOEDA_WHERE = nome da coluna para comparar o Login
	DROP_MOEDA_CONFIG = Configurações da moeda, começar em 1 e seguir sequencia
		nomeMoeda = O nome que será apresentado pro player
		moedaColumn = O nome da coluna da moeda no SQL
]]--
DROP_MOEDA_TABLE = "CashShopData" --Não Mexer
DROP_MOEDA_WHERE = "AccountID" --Não Mexer
DROP_MOEDA_CONFIG = {}
DROP_MOEDA_CONFIG[1] = {nomeMoeda = "WcoinC", moedaColumn = "WCoinC"}
DROP_MOEDA_CONFIG[2] = {nomeMoeda = "GoblinPoint", moedaColumn = "GoblinPoint"}

--Index do drop
--Nome da Box (aparece no global)
--Seção da Box no item.txt
--Index da Box no item.txt
--Level da Box (-1 qualquer level)
--ItemInventory (1 para dropar no inventario, 0 para dropar no chao)
--Porcentagem - 1 para usar porcentagem, 0 para ser aleatorio.
--Type (1 Dropa item, 2 Portal)
CONFIG_DROP_SYSTEM = { 
{_Index = 1, _NomeBox = "Box Blue Raven", _BoxSection = 14, _BoxIndex = 471, _Level = -1, ItemInventory = 1, _Porcentagem = 1, _type = 1},
}

-- Index (deixe o mesmo do CONFIG_DROP_SYSTEM)
-- Nome do item
-- Seção do item
-- Index do item
-- SetCompleto - 1 dropa o set completo (colocar somente o helm), 0 dropa somente o item configurado.(lembre de deixar o KitAneis e KitSword 0)
-- KitSword - 1 para dropar um shield (configurar somente a sword/mace)(lembre de deixar o SetCompleto e KitAneis 0)
-- Index do shield caso KitSword esteja 1
-- KitAneis - 1 dropa o kit anel completo (colocar somente o pendant)(lembre de deixar o SetCompleto e KitSword 0)
-- Index do Ring caso KitAneis = 1
-- Level do item
-- Durabilidade do item
-- Sorte
-- Skill
-- Options
-- Options excelentes
-- quantidade de itens a dropar (Caso coloque 0 será considerado Drop Troll, e avisara o jogador que ele foi trolado.)
-- Porcentagem do item - Minimo 0.01 máximo 100 (sempre dividir os 100% entre os itens)
-- AnuncioGlobal - 1 Anuncia no global que dropou o item, 0 não anuncia

CONFIG_DROP_SYSTEM_ITEM = { 
{_Index = 1, _NomeItem = "Drop Goblin Point", 		 _DropMoeda = true,  _MoedaIndex = 2, _MoedaQtd = 2000, _Section = 0, 	_IndexItem = 0,		_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 23, _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Jewel of Bless", 	         _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 14,     _IndexItem = 13,  	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 15, _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Jewel of Soul" , 	         _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 14,     _IndexItem = 14,  	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 15, _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Jewel of Guardian" , 	         _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 14,     _IndexItem = 31,  	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 10, _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Helm of Blue Raven [M]",       _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 7,      _IndexItem = 141, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Armor of Blue Raven [M]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 141, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Pants of Blue Raven [M]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 141, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Gloves of Blue Raven [M]",     _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 141, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Boots of Blue Raven [M]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 141, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Helm of Blue Raven [F]",       _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 7,      _IndexItem = 142, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Armor of Blue Raven [F]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 142, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Pants of Blue Raven [F]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 142, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Gloves of Blue Raven [F]",     _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 142, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Boots of Blue Raven [F]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 8,      _IndexItem = 142, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Sword of Blue Raven [E]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 0,      _IndexItem = 130, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Mace of Blue Raven [E]",       _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 2,      _IndexItem = 120, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Bow of Blue Raven [E]",        _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 4,      _IndexItem = 120, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Staff of Blue Raven [E]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 5,      _IndexItem = 140, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 0},
{_Index = 1, _NomeItem = "Stick of Blue Raven [E]",      _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 5,      _IndexItem = 141, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 1},
{_Index = 1, _NomeItem = "Shield of Blue Raven [E]",     _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 6,      _IndexItem = 121, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 2,  _AnuncioGlobal = 1},
{_Index = 1, _NomeItem = "Wing Raven Blue", 	         _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 12,     _IndexItem = 258, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 1,  _AnuncioGlobal = 1},
{_Index = 1, _NomeItem = "Cape Raven Blue", 	         _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 12,     _IndexItem = 259, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 0,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 1,  _AnuncioGlobal = 1},
{_Index = 1, _NomeItem = "Earring [Right] Raven Blue",   _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 13,     _IndexItem = 436, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 15,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 1,  _AnuncioGlobal = 1},
{_Index = 1, _NomeItem = "Earring [Left] Raven Blue",    _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 13,     _IndexItem = 437, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 15,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 1,  _AnuncioGlobal = 1},
{_Index = 1, _NomeItem = "Amulet Raven Blue",   	 _DropMoeda = false, _MoedaIndex = 0, _MoedaQtd = 0, _Section = 13,     _IndexItem = 318, 	_SetCompleto = 0,	_KitSword = 0,	_IndexShield = 0,	_KitAneis = 0, _IndexRing = 0, _Level = 15,	_Durabilidade = 255,	_Luck = 1, _Skill = 1, _Opt = 7, _Exc_1 = 1, _Exc_2 = 1, _Exc_3 = 1, _Exc_4 = 1, _Exc_5 = 1, _Exc_6 = 1, _Count = 1, _Porcentagem = 1,  _AnuncioGlobal = 1},
}

-- Index (deixe o mesmo do CONFIG_DROP_SYSTEM) (Não use 0, apenas 1 move por index)
--Numeor do mapa
--Coordenada X
--Coordenada Y
CONFIG_DROP_SYSTEM_PORTAL = {
--{_Index = 3, _Map = 0, _CoordX = 125, _CoordY = 125},
}



--Não mexer nisso
local DROP_ITEM_RAND = {}

function DropSystem.InsertItem(item)
	if CONFIG_DROP_SWITCH == 0
	then
		return
	end

	InsertKey(DROP_ITEM_RAND, item)
end

function DropSystem.GetItemRandom(index, porcentagem)
	if CONFIG_DROP_SWITCH == 0
	then
		return
	end

	DROP_ITEM_RAND = {}
	
	if porcentagem == 1
	then
		for i in ipairs(CONFIG_DROP_SYSTEM_ITEM) do
			if CONFIG_DROP_SYSTEM_ITEM[i]._Index == index
			then
				qtd = (CONFIG_DROP_SYSTEM_ITEM[i]._Porcentagem/100)*10000
				for x = 1, qtd do
					DropSystem.InsertItem(CONFIG_DROP_SYSTEM_ITEM[i])
				end		
			end		
		end
	else
		for i in ipairs(CONFIG_DROP_SYSTEM_ITEM) do
			if CONFIG_DROP_SYSTEM_ITEM[i]._Index == index
			then
				DropSystem.InsertItem(CONFIG_DROP_SYSTEM_ITEM[i])
			end
		end
	end
	
	if #DROP_ITEM_RAND > 0
	then
		return DROP_ITEM_RAND[GetRand(1, #DROP_ITEM_RAND)]
	end
	
	return -1
end

function DropSystem.PlayerDropItem(aIndex, x, y, position)
	if CONFIG_DROP_SWITCH == 0
	then
		return
	end
	local p = User.new(aIndex)
	local pInv = Inventory.new(aIndex)
	local item_index = pInv:getIndex(position)
	
	for i in ipairs(CONFIG_DROP_SYSTEM) do
		if item_index == GET_ITEM(CONFIG_DROP_SYSTEM[i]._BoxSection, CONFIG_DROP_SYSTEM[i]._BoxIndex)
		then	
			if CONFIG_DROP_SYSTEM[i]._type == 1
			then		
				if (CONFIG_DROP_SYSTEM[i]._Level == -1 or pInv:getLevel(position) == CONFIG_DROP_SYSTEM[i]._Level)
				then
					local NomeBox = CONFIG_DROP_SYSTEM[i]._NomeBox
					local NomePlayer = p:getName()
					local Item = DropSystem.GetItemRandom(CONFIG_DROP_SYSTEM[i]._Index, CONFIG_DROP_SYSTEM[i]._Porcentagem)
					
					if Item == -1
					then
						SendMessage(string.format("[Sistema] Houve um problema ao dropar o item, contate o administrador."), aIndex, 1)
						return 1
					end
					
					if CONFIG_DROP_SYSTEM[i].ItemInventory == 1
					then
						for i = 13, MAX_INVENTORY_RANGE do
							if pInv:isItem(i) ~= 0
							then
								SendMessage(string.format("Seu inventário precisa estar vázio,[%s] no primeiro quadrado!", NomeBox), aIndex, 1)
								return 1
							end
						end
					end
		
					if  Item._DropMoeda then 
						local moeda = DROP_MOEDA_CONFIG[Item._MoedaIndex]
						DataBase.SetAddValue(DROP_MOEDA_TABLE, moeda.moedaColumn, Item._MoedaQtd, DROP_MOEDA_WHERE,  p:getAccountID())
						SendMessage(string.format("Parabéns voce recebeu %d de %s", Item._MoedaQtd, moeda.nomeMoeda), aIndex, 1)
						
						InventoryDeleteItem(aIndex, position)
						SendInventoryDeleteItem(aIndex, position)
						
						return 1
					end
					
					if Item._Count == 0
					then
						if Item._AnuncioGlobal == 1
						then
							SendMessageGlobal(string.format("%s foi trolado ao dropar uma %s ;)", NomePlayer, NomeBox), 0)
							SendMessage(string.format("Voce foi trolado ao dropar a %s", NomeBox), aIndex, 1)			
						else
							SendMessage(string.format("Voce foi trolado ao dropar a %s ;)", NomeBox), aIndex, 1)
						end
						InventoryDeleteItem(aIndex, position)
						SendInventoryDeleteItem(aIndex, position)
						return 1
					end
					
					local exc = 0
					
					if Item._Exc_1 ~= 0
					then
						exc = exc + 1
					end
					if Item._Exc_2 ~= 0
					then
						exc = exc + 2
					end
					if Item._Exc_3 ~= 0
					then
						exc = exc + 4
					end
					if Item._Exc_4 ~= 0
					then
						exc = exc + 8
					end
					if Item._Exc_5 ~= 0
					then
						exc = exc + 16
					end
					if Item._Exc_6 ~= 0
					then
						exc = exc + 32
					end
					
					for forcount = 1, Item._Count do
						if CONFIG_DROP_SYSTEM[i].ItemInventory == 1
						then
							ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(Item._Section, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
							
							if Item._SetCompleto == 1
							then
								ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(8, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(9, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(10, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(11, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
							end
							
							if Item._KitAneis == 1
							then
								ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(Item._Section, Item._IndexRing), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(Item._Section, Item._IndexRing), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
							end
							
							if Item._KitSword == 1
							then
								ItemSerialCreate(aIndex, 236, 0, 0, GET_ITEM(6, Item._IndexShield), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)							
							end
						else
							local map = p:getMapNumber()
							ItemSerialCreate(aIndex,map, x, y, GET_ITEM(Item._Section, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
							
							if Item._SetCompleto == 1
							then
								ItemSerialCreate(aIndex,map, x, y, GET_ITEM(8, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex,map, x, y, GET_ITEM(9, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex,map, x, y, GET_ITEM(10, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex,map, x, y, GET_ITEM(11, Item._IndexItem), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)			
							end
							
							if Item._KitAneis == 1
							then
								ItemSerialCreate(aIndex,map, x, y, GET_ITEM(Item._Section, Item._IndexRing), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
								ItemSerialCreate(aIndex,map, x, y, GET_ITEM(Item._Section, Item._IndexRing), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)		
							end
							
							if Item._KitSword == 1
							then
								ItemSerialCreate(aIndex,map, x, y, GET_ITEM(6, Item._IndexShield), Item._Level, Item._Durabilidade, Item._Luck, Item._Skill, Item._Opt, exc)
							end	
						end					
					end	
					
					if Item._AnuncioGlobal == 1
					then
						SendMessageGlobal(string.format("[%s] %s dropou %d %s", NomeBox, NomePlayer, Item._Count, Item._NomeItem), 0)
					end	
					
					InventoryDeleteItem(aIndex, position)
					SendInventoryDeleteItem(aIndex, position)
					
					return 1				
				end
			elseif CONFIG_DROP_SYSTEM[i]._type == 2
			then
				for t in ipairs(CONFIG_DROP_SYSTEM_PORTAL) do
					if CONFIG_DROP_SYSTEM[i]._Index == CONFIG_DROP_SYSTEM_PORTAL[t]._Index
					then
						Teleport(aIndex, CONFIG_DROP_SYSTEM_PORTAL[t]._Map, CONFIG_DROP_SYSTEM_PORTAL[t]._CoordX, CONFIG_DROP_SYSTEM_PORTAL[t]._CoordY)
						break
					end
				end						
				InventoryDeleteItem(aIndex, position)
				SendInventoryDeleteItem(aIndex, position)
				return 1
			end
		end
	end	
	return
end

GameServerFunctions.PlayerDropItem(DropSystem.PlayerDropItem)

return DropSystem